!c Description: 
!c   X $BJ}8~$N1?F0J}Dx<0$K$*$$$FD9$$;~4V%9%F%C%W$GI>2A$9$k9`$N7W;;(B
!c
!c Current Code Owner: 
!c   sugiyama@gfd-dennou.org
!c
!c Copyright (C) SUGIYAMA Ko-ichiro, 2004, All rights reserved

subroutine DiffuseX(fs_VelX_LB, sf_VelZ_LB, fs_DiffuseX_LB)
  
  !--- $B%b%8%e!<%k$NFI$_9~$_(B
  use gridset,  only: DimXMin, DimXMax, DimZMin, DimZMax, fs_Bc
!  use if_avr,   only: fs_avr_sf
!  use if_diff,  only: fs_dx_fs, fs_dz_fs
  use if_boundary
  
  !--- $B0EL[$N7?@k8@6X;_(B
  implicit none
  
  !--- $BF~=PNOJQ?t(B
  real(8), intent(in)    :: fs_VelX_LB(DimXMin:DimXMax, DimZMin:DimZMax)
  real(8), intent(in)    :: sf_VelZ_LB(DimXMin:DimXMax, DimZMin:DimZMax)
  real(8), intent(out)   :: fs_DiffuseX_LB(DimXMin:DimXMax, DimZMin:DimZMax)

  
  !--- $B3H;69`(B ($B8=:_$O(B 0.0 $B$H$9$k(B)
  fs_DiffuseX_LB = 0.0d0  

!  fs_DiffuseX_LB = &
!       & - fs_dx_fs( u^2 )  &
!       & - fs_dz_fs(  ) 
  
  !--- $B6-3&>r7o(B
  call boundary(fs_Bc, fs_DiffuseX_LB)
  
end subroutine DiffuseX
